cancel
Showing results for 
Search instead for 
Did you mean: 

setup informix SDK error?

Asics
Occasional Advisor

setup informix SDK error?

Dear all:
When I setup informix SDK appear fllow error message...

# ./installclientsdk -f

Is ClientSDK being installed along with Informix database server
version 9.x (required to be run as user "informix")?
(yes or no)
no


Installation Script

Installation Script Requirements:
- A user "informix" and a group "informix" must be known to the system.
- The product source files must have been loaded by user root
- This installation procedure must be run by user root.
- You must also set INFORMIXDIR to where you would like to install
- the product on and make INFORMIXDIR as your current working directory.

This script will change the owner, group, and mode of
many of the files of this package in this directory.


WARNING!
This software, and its authorized use and number of users, are
subject to the applicable license agreement with IBM. If the number of
users exceeds the licensed number, the excess users may be prevented
from using the software. UNAUTHORIZED USE OR COPYING MAY SUBJECT YOU
AND YOUR COMPANY TO SEVERE CIVIL AND CRIMINAL LIABILITIES.

Extracting the message files to /tmp/install
7660 blocks
Installing Messages...

...done installing messages
Extracting the GLS files to /tmp/install
79130 blocks
Installing GLS...

...done installing GLS files
Extracting files from clientsdkcontent file...
119060 blocks
Installing ClientSDK as user root...

Installing directory .
Installing directory bin
Installing directory lib
/bin/ranlib: lib/netstub.a: File format not recognized
Installation of INFORMIX-Client SDK failed.

WARNING WARNING WARNING

"./installclientsdk" has exited abnormally, this may have left
your Informix installation in an incomplete state.

2 REPLIES
Robert-Jan Goossens
Honored Contributor
Asics
Occasional Advisor

Re: setup informix SDK error?

Dear Robert-Jan:
Thanks for your help,informix sdk setup already success.

But,when I want install perl module DBD::informix appear fllow error message...

# perl5.6.1 Makefile.PL
*** ExtUtils::AutoInstall version 0.56
*** Checking for dependencies...
[Core Features]
- DBI ...loaded. (1.41 >= 1.33)
[High Resolution Timing]
- Time::HiRes ...loaded. (1.56)
*** ExtUtils::AutoInstall configuration finished.
Subroutine WriteMakefile redefined at /opt/perl/lib/site_perl/5.6.1/ExtUtils/AutoInstall.pm line 457.

Configuring IBM Informix Database Driver for Perl Version 2003.04 (2003-03-05) (aka DBD::Informix)
You are using DBI version 1.41 and Perl version 5.006001
Remember to actually read the README file!

Perl: perl5.006001 PA-RISC1.1-thread-multi dl_hpux.xs
System: hp-ux llbertha b.11.00 u 9000800 2002402864 unlimited-user license
Compiler: gcc -O -D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -mpa-risc-1-1 -fPIC -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
Loader: ld

Using IBM Informix CSDK Version 2.81, IBM Informix-ESQL Version 9.53.FC2 from /opt/informix

Beware: DBD::Informix is not yet aware of all the new IUS data types.

Assert macro will be disabled!

lib/DBD/Informix/Defaults.pm written OK
esqlvrsn.h written OK
esqlinfo.h written OK

Testing whether your Informix test environment will work...
gcc: +Ofastaccess: No such file or directory
gcc: +DS2.0: No such file or directory
gcc: +DA2.0W: No such file or directory
cc1: unrecognized option `-H400000'
Failed to compile esqltest.ec to esqltest.o